# class Tk::BLT::Stripchart

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

extents(item) click to toggle source

# begin¶ ↑

    BarElement_ID = ['blt_stripchart_bar'.freeze, TkUtil.untrust('00000')].freeze

    def bar(elem=nil, keys={})
      if elem.kind_of?(Hash)
        keys = elem
        elem = nil
      end
      unless elem
        elem = BarElement_ID.join(TkCore::INTERP._ip_id_).freeze
        BarElement_ID[1].succ!
      end
      tk_send('bar', elem, keys)
      Element.new(self, elem, :without_creating=>true)
    end

# end¶ ↑

    # File lib/tkextlib/blt/stripchart.rb, line 48
    def extents(item)
      num_or_str(tk_send_without_enc('extents', item))
    end

inside(x, y) click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 56
    def inside(x, y)
      bool(tk_send_without_enc('inside', x, y))
    end

invtransform(x, y) click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 52
    def invtransform(x, y)
      list(tk_send_without_enc('invtransform', x, y))
    end

metafile(file=None) click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 60
    def metafile(file=None)
      # Windows only
      tk_send('metafile', file)
      self
    end

snap(output, keys={}) click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 66
    def snap(output, keys={})
      tk_send_without_enc('snap', *(hash_kv(keys, false) + output))
      self
    end

transform(x, y) click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 71
    def transform(x, y)
      list(tk_send_without_enc('transform', x, y))
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 20
    def __boolval_optkeys
      ['bufferelements', 'buffergraph', 'invertxy']
    end

__strval_optkeys() click to toggle source

    # File lib/tkextlib/blt/stripchart.rb, line 25
    def __strval_optkeys
      ['text', 'label', 'title', 'file',
        'background', 'plotbackground']
    end